run Assemblage_DataFile1.m

%% Translation stage
ty = struct();
ty.m = smiData.Solid(6).mass+smiData.Solid(7).mass;
ty.k.x = 1e8;
ty.k.y = 1e8;
ty.k.z = 1e8;
ty.ksi.x = 5;
ty.ksi.y = 10;
ty.ksi.z = 10;
ty = updateDamping(ty);


%% Tilt
ry = struct();
ry.m = smiData.Solid(6).mass+smiData.Solid(7).mass;
ry.k.ax = 1e8;
ry.k.rad = 1e8;
ry.ksi.ax = 5;
ry.ksi.rad = 10;
ry = updateDamping(ry);



%% Spindle
rz = struct();


%% Hexapod Symetrie
hexapod = struct();


%% Nano stage
n = struct();



%%
function element = updateDamping(element)
    for field = fieldnames(element.k)
        element.c.(field{1}) = 1/element.ksi.(field{1})*sqrt(element.k.(field{1})/element.m);
    end
end
